# FpioaExt in k210_hal::fpioa - Rust
Extension trait to split a FPIOA peripheral in independent pins and registers
Keywords: rust, rustlang, rust-lang, FpioaExt

# Trait k210_hal::fpioa::FpioaExt

source · [−]

    pub trait FpioaExt {
        fn split(self, apb0: &mut APB0) -> Parts;
    }

Expand description

Extension trait to split a FPIOA peripheral in independent pins and registers

## Required methods

source

#### fn split(self, apb0: &mut APB0) -> Parts

Splits the FPIOA block into independent pins and registers

todo: split sysctl into two apb’s, then use the APB0 to split Fpioa

## Implementations on Foreign Types

source

### impl FpioaExt for FPIOA

source

#### fn split(self, apb0: &mut APB0) -> Parts

## Implementors